#ifndef VIEWOBSERVER_H
#define VIEWOBSERVER_H

/**
 *	$Id: ViewObserver.h 41:8e13ae3bc48b 2009-11-20 15:35 +0100 jensen $
 *  $Lastlog: Cleanup work, fixed an issue with windows cppunit fixes #20 $
 *
 * \brief This abstract class specifies the interface for any class that observes the registration view
 *
 * \authors Brian Jensen
 *          <br>
 *          {jensen}\@in.tum.de
 * \ingroup PetSpectFusion
 * \version 1.30
 * \date 10.11.2009
 *
 * \par License:
 * Copyright (c) 2008 - 2009,
 * This programm was created as part of a student research project in cooperation
 * with the Department for Computer Science, Chair XVI
 * and the Nuklearmedizinische Klinik, Klinikum Rechts der Isar
 *
 *
 */
class ViewObserver
{

	public:
		virtual void fixedImageChanged() = 0;
		virtual void movingImageChanged() = 0;
};

#endif //VIEWOBERVER_H