#ifndef CORETEST_H
#define CORETEST_H

#include <cppunit/extensions/HelperMacros.h>

/**
 *	$Id: CoreTest.h 32:02511d123769 2009-11-15 15:20 +0100 jensen $
 *
 * \brief The test fixture for all the core unit test cases
 *
 * \authors Brian Jensen
 *          <br>
 *          {jensen}\@in.tum.de
 *
 * \ingroup PetSpectFusion
 * \version 1.30
 * \date 27.10.2009
 *
 * Copyright (c) 2007 - 2009,
 * This programm was created as part of a student research project in cooperation
 * with the Department for Computer Science, Chair XVI
 * and the Nuklearmedizinische Klinik, Klinikum Rechts der Isar
 *
 *
 */
class CoreTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE( CoreTest );
	CPPUNIT_TEST( eulerConversionTest );
	CPPUNIT_TEST( versorConversionTest );
	CPPUNIT_TEST( combinedConversionTest );
	CPPUNIT_TEST_SUITE_END();
	
public:
	void setUp();
	void tearDown();
	
	void eulerConversionTest();
	void versorConversionTest();
	void combinedConversionTest();
	
};

#endif  // CORETEST_H
