//
//  $Id: GuiBaseTest.cpp 39:803510a3c9e1 2009-11-18 20:37 +0100 jensen $  
//  $Lastlog: large refactoring for consistent initialization, unit test added, refs #2 #17 #18 $
//
//  GuiBaseTest.cpp
//  petspectfusionTest
//
//	Created 29/10/2009, Base class for GUI unit test cases.
//  Copyright (c) 2007 - 2009 Brian Jensen. All rights reserved.
//

#include <QtGui>
#include <QtTest/qtest.h>

#include "GuiBaseTest.h"
#include "PetSpectFusionApp.h"

GuiBaseTest::GuiBaseTest()
{
	//All initialization that needs to occur once goes here
	sourceLocation = CMAKE_SOURCE_DIR;
}

void GuiBaseTest::init()
{
	PetSpectFusionApp::init();
	PetSpectFusionApp::fixedFileName += std::string(sourceLocation) + std::string(FIXED_IMAGE_LOCATION);
	PetSpectFusionApp::movingFileName += std::string(sourceLocation) + std::string(MOVING_IMAGE_LOCATION);
	PetSpectFusionApp::outputFileName += std::string("test_output.mhd");
}

void GuiBaseTest::cleanup()
{
	
}
