#ifndef GUIBASETEST_H
#define GUIBASETEST_H

#include <QtTest/QtTest>

#include "PetSpectFusionViewer.h"

#define FIXED_IMAGE_LOCATION "/test/img/Set1_PET_FDG.mhd"
#define MOVING_IMAGE_LOCATION "/test/img/Set1_SPECT.mhd"

/**
 * \brief This is the base class for all GUI unit test cases.
 *
 * \authors Brian Jensen
 *          <br>
 *          {jensen}\@in.tum.de
 *
 * \ingroup PetSpectFusion
 * \version 1.30
 * \date 29.10.2009
 *
 * Copyright (c) 2007 - 2009,
 * This programm was created as part of a student research project in cooperation
 * with the Department for Computer Science, Chair XVI
 * and the Nuklearmedizinische Klinik, Klinikum Rechts der Isar
 *
 *
 */
class GuiBaseTest: public QObject
{
	Q_OBJECT
	
	protected:
		const char* sourceLocation; 
	
		GuiBaseTest();
	
	protected slots:
		void init();
		void cleanup();
		
};

#endif //GUIBASETEST_H