//
//  $Id: GuiMainTest.cpp 39:803510a3c9e1 2009-11-18 20:37 +0100 jensen $  
//  $Lastlog: large refactoring for consistent initialization, unit test added, refs #2 #17 #18 $
//
//  GuiTest.cpp
//  petspectfusionTest
//
//	Created 28/10/2009, GUI unit test cases.
//  Copyright (c) 2007 - 2009 Brian Jensen. All rights reserved.
//

#include <QtGui>
#include <QtTest/qtest.h>

#include "GuiAutomaticRegTest.h"
#include "GuiIntensityWindowTest.h"
#include "GuiMainTest.h"
#include "GuiRegistrationResultsTest.h"
#include "PetSpectFusionViewer.h"

using namespace std;

// Add the core test suite to the test registry
CPPUNIT_TEST_SUITE_REGISTRATION( GuiTest );

//swap
void GuiTest::setUp()
{
	sourceLocation = CMAKE_SOURCE_DIR;
}

void GuiTest::tearDown()
{
	
}

void GuiTest::testAutomaticRegistration()
{
	GuiAutomaticRegTest* regTest = new GuiAutomaticRegTest;
	CPPUNIT_ASSERT_EQUAL(0, QTest::qExec(regTest));
}

void GuiTest::testIntensityWindowing()
{
	GuiIntensityWindowTest* windowTest = new GuiIntensityWindowTest;
	CPPUNIT_ASSERT_EQUAL(0, QTest::qExec(windowTest));
	
}

void GuiTest::testRegistrationResults()
{
	GuiRegistrationResultsTest* resultsTest = new GuiRegistrationResultsTest;
	CPPUNIT_ASSERT_EQUAL(0, QTest::qExec(resultsTest));
}