//
//  $Id: Main.cpp 39:803510a3c9e1 2009-11-18 20:37 +0100 jensen $
//  $Lastlog: large refactoring for consistent initialization, unit test added, refs #2 #17 #18 $
//
//  Main.cpp
//  petspectfusionTest
//
//	Created 26/10/2009, Test driver for all unit test cases implemented
//  Copyright (c) 2007 - 2009 Brian Jensen. All rights reserved.
//

#include <cppunit/XmlOutputter.h>
#include <cppunit/CompilerOutputter.h>
#include <cppunit/extensions/TestFactoryRegistry.h>
#include <cppunit/ui/text/TestRunner.h>
#include <cppunit/TestResult.h>
#include <cppunit/TestResultCollector.h>

#include "PetSpectFusionViewer.h"

using namespace std;
using namespace CppUnit;

//globals needed to make sure both command line only and graphics mode works
bool graphics_mode = false;

int main(int argc, char* argv[])
{
	QApplication app(argc, argv);
	
	// Get the top level suite from the registry
	Test *suite = CppUnit::TestFactoryRegistry::getRegistry().makeTest();
	TestResultCollector result;
	TestResult    controller;
	controller.addListener(&result);
	
	// Adds the test to the list of test to run
	CppUnit::TextUi::TestRunner runner;
	runner.addTest( suite );
	runner.run(controller);
	
	//make sure this file name matches the file name for the hudson job
	ofstream xmlFileOut("psftestresults.xml");
	XmlOutputter xmlOut(&result, xmlFileOut);
	xmlOut.write();
	
	//also generate compiler like output for development usage
	CompilerOutputter compOut(&result, cout);
	compOut.write();
	
	// Run the tests.
	bool wasSucessful = result.wasSuccessful();
	
	// Return error code 1 if the one of test failed.
	return wasSucessful ? 0 : 1;
}
